Delete custom fields
curl --request POST \
--url https://api.metronome.com/v1/customFields/deleteValues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "customer",
"entity_id": "99594816-e8a5-4bca-be21-8d1de0f45120",
"keys": [
"x_account_id"
]
}
'import requests
url = "https://api.metronome.com/v1/customFields/deleteValues"
payload = {
"entity": "customer",
"entity_id": "99594816-e8a5-4bca-be21-8d1de0f45120",
"keys": ["x_account_id"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: 'customer',
entity_id: '99594816-e8a5-4bca-be21-8d1de0f45120',
keys: ['x_account_id']
})
};
fetch('https://api.metronome.com/v1/customFields/deleteValues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom fields
Delete custom fields
Remove specific custom field values from a Metronome entity instance by specifying the field keys to delete. Use this endpoint to clean up unwanted custom field data while preserving other fields on the same entity. Requires the entity type, entity ID, and array of keys to remove.
POST
/
v1
/
customFields
/
deleteValues
Delete custom fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Delete one or more custom fields
Available options:
alert, billable_metric, charge, commit, contract_credit, contract_product, contract, customer, discount, invoice, product, rate_card, scheduled_charge, subscription, package_commit, package_credit, package_subscription, package_scheduled_charge Response
200
Success
⌘I